Subject: Re: bug#32157: Emacs 26.1.50: Error in post-command-hook (icomplete-post-command-hook): (void-function set-message-beep)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jul 2018 18:58:33 +0300

> From: net june <[email-masked]>
> Date: Sat, 14 Jul 2018 11:58:39 +0000
> 
> emacs: 26.1.50
> OS: centos 7 x86_64
> 
> 1. copy "w32-register-hot-key" to clipboard
> 2. emacs -Q
> 3. C-h f or M-x describe-function
> 4. use C-y to paste the content in clipboard to minibuffer, and press Enter
> 5. emacs error: Error in post-command-hook 
> (icomplete-post-command-hook): (void-function set-message-beep)

I cannot reproduce this.  I tried on GNU/Linux and on MS-Windows, and
I get the expected results on each one of them.

I also wonder where did that icomplete-post-command-hook come from in
"emacs -Q".  Icomplete mode is supposed to be disabled in "emacs -Q".